# Uses of Class
it.tdlight.jni.TdApi.StickerFullType

## Uses of TdApi.StickerFullType in it.tdlight.jni

Subclasses of TdApi.StickerFullType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.StickerFullTypeCustomEmoji`
The sticker is a custom emoji to be used inside message text and caption.
`static final class`
`TdApi.StickerFullTypeMask`
The sticker is a mask in WEBP format to be placed on photos or videos.
`static final class`
`TdApi.StickerFullTypeRegular`
The sticker is a regular sticker.
Fields in it.tdlight.jni declared as TdApi.StickerFullType
Modifier and Type
Field
Description
`TdApi.StickerFullType`
TdApi.Sticker.`fullType`
Sticker's full type.
Constructors in it.tdlight.jni with parameters of type TdApi.StickerFullType
Modifier
Constructor
Description
``
`Sticker(long id, long setId, int width, int height, String emoji, TdApi.StickerFormat format, TdApi.StickerFullType fullType, TdApi.ClosedVectorPath[] outline, TdApi.Thumbnail thumbnail, TdApi.File sticker)`
Describes a sticker.